#!/bin/sh

# Python test

if type python > /dev/null 2>&1 ; then
    PYTHON_VER=`python -V 2>&1 | sed -ne '1 {s/Python *//; p}'`
    echo "detected python version $PYTHON_VER" > python.msg
    echo "0" > python.res
else
    echo "python not found" > python.msg
    echo "2" > python.res
fi

# Perl test

if type perl > /dev/null 2>&1 ; then
    PERL_VER=`perl -v 2>&1 | sed -ne '/.*perl, v/{s///; s/built.*//p}'`
    echo "detected perl version $PERL_VER" > perl.msg
    echo "0" > perl.res
else
    echo "perl not found" > perl.msg
    echo "2" > perl.res
fi

# gcc test

if type gcc > /dev/null 2>&1 ; then
    GCC_VER=`gcc -v 2>&1 | grep '^gcc version' | sed 's/gcc version \([^ ]*\).*/\1/g'`
    echo "detected gcc version $GCC_VER" > gcc.msg
    echo "0" > gcc.res
else
    echo "gcc not found" > gcc.msg
    echo "2" > gcc.res
fi

# csh test

cat << EOF > csh-test.csh
#!/bin/csh
env | sort > env-csh.txt
EOF
chmod +x csh-test.csh
./csh-test.csh

if ( grep PATH env-csh.txt > /dev/null 2>&1 ) ; then
    echo "Working csh detected" > csh.msg
    echo "0" > csh.res
else
    echo "No working csh detected" > csh.msg
    echo "2" > csh.res
fi

exit 0
